View Revisions: Issue #2867

Summary 0002867: AttachExtension crash
Revision 2017-01-18 22:15 by Kunda1
Steps To Reproduce Open FreeCAD. Run this code:
import Part
if not App.ActiveDocument:
    App.newDocument()

App.ActiveDocument.addObject("Part::Box","box")
f = App.ActiveDocument.addObject( "Part::FeaturePython", "test")
f.positionBySupport() #Should be: "f has no attribute 'positionBySupport'". Result: crash.
Revision 2017-01-18 22:03 by DeepSOIC
Steps To Reproduce Open FreeCAD. Run this code:

import Part
if not App.ActiveDocument:
    App.newDocument()

App.ActiveDocument.addObject("Part::Box","box")
f = App.ActiveDocument.addObject( "Part::FeaturePython", "test")
f.positionBySupport() #Should be: "f has no attribute 'positionBySupport'". Result: crash.